
Redmine - Defect #8907

Redmine spontaneously stops running and returns 500 errors under Passenger

2011-07-26 21:15 - Steve Voida

Status: Closed Start date: 2011-07-26

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

Redmine seems to be spontaneously crashing under Passenger 3.0.7 on OSX 10.6.8. I've tried updating various system components

and re-migrating the database, but with no avail.

Typically, if I restart the Apache server, things run fine for some indeterminate period of time, after which point I start getting 500

errors back from the server.

(Sorry -- new to Rails and Passenger, so if more information is needed, I can provide it!)

Database version          MySQL Community Server 5.5.14

Webserver environment     Apache/2.2.17 (Unix) mod_ssl/2.2.17 OpenSSL/0.9.8r SVN/1.6.16 Phusion_Pa

ssenger/3.0.7 mod_perl/2.0.4 Perl/v5.10.0

Ruby version              1.8.7 (universal-darwin10.0)

RubyGems version          1.3.7

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /Library/WebServer/RailsApps/redmine

Environment               production

Database adapter          mysql

Database schema version   20110511000000

 Here are the relevant bits from the production.log. Note the time elapsed between the successful welcome page render (02:18:03)

and the failure (11:22:06).

Processing WelcomeController#index (for 72.194.118.152 at 2011-07-26 02:18:03) [GET]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

Rendering template within layouts/base

Rendering welcome/index

Completed in 24ms (View: 11, DB: 7) | 200 OK [https://<<servername>>/code]

/!\ FAILSAFE /!\  Tue Jul 26 11:22:06 -0700 2011

  Status: 500 Internal Server Error

  Broken pipe

    /Library/Ruby/Site/1.8/mysql/protocol.rb:617:in `flush'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:617:in `write'

    /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/timeout.rb:53:in `time

out'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:616:in `write'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:640:in `simple_command'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:545:in `synchronize'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:638:in `simple_command'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:413:in `statistics_command'

    /Library/Ruby/Site/1.8/mysql.rb:502:in `stat'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/mysql_adapter.rb:277:in `active?'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract_adapter.rb:152:in `verify!'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad
apters/abstract/connection_pool.rb:256:in `checkout_and_verify'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:252:in `checkout_existing_connection'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:186:in `checkout'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:184:in `loop'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:184:in `checkout'

    /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/monitor.rb:242:in `syn

chronize'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:183:in `checkout'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:98:in `connection'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:326:in `retrieve_connection'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_specification.rb:123:in `retrieve_connection'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_specification.rb:115:in `connection'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.r

b:9:in `cache'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.r

b:28:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:361:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/string_coer

cion.rb:25:in `call'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.1/lib/rack/head.rb:9:in `call'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.1/lib/rack/methodoverride.rb:24:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/params_pars

er.rb:15:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/session/coo

kie_store.rb:99:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb

:26:in `call'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.1/lib/rack/lock.rb:11:in `call'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.1/lib/rack/lock.rb:11:in `synchronize'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.1/lib/rack/lock.rb:11:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.

rb:106:in `call'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/rack/request_handler.rb:96:i

n `process_request'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_request_handler.rb:

513:in `accept_and_process_next_request'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_request_handler.rb:

274:in `main_loop'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_sp

awner.rb:321:in `start_request_handler'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_sp

awner.rb:275:in `send'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_sp

awner.rb:275:in `handle_spawn_application'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/utils.rb:479:in `safe_fork'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_sp

awner.rb:270:in `handle_spawn_application'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `_

_send__'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `s

erver_main_loop'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:206:in `s

tart_synchronously'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:180:in `s

tart'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_sp

awner.rb:149:in `start'
    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:219:in `spa

wn_rails_application'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.r

b:132:in `lookup_or_add'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:214:in `spa

wn_rails_application'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.r

b:82:in `synchronize'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.r

b:79:in `synchronize'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:213:in `spa

wn_rails_application'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:132:in `spa

wn_application'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:275:in `han

dle_spawn_application'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `_

_send__'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in `s

erver_main_loop'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:206:in `s

tart_synchronously'

    /Library/Ruby/Gems/1.8/gems/passenger-3.0.7/helper-scripts/passenger-spawn-server:99

Processing WelcomeController#index (for 169.234.7.45 at 2011-07-26 11:32:08) [GET]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

Rendering template within layouts/base

Rendering welcome/index

Completed in 162ms (View: 67, DB: 57) | 200 OK [https://cheddar.ics.uci.edu/code]

 The only other potentially relevant bit I can come up with is that I've implemented the steps listed in the tutorial "HowTo configure

Redmine for advanced Subversion integration" and am running both Redmine.pm to provide access control to the SVN repos and

respoman (as a LaunchCtl task) to automatically generate repositories. This might account for the seemingly spontaneous nature of

the failures, but I've followed all the directions as closely as I can and don't see anything particularly amiss in the Apache logs to

suggest that this is the source of the problem. (The Apache logs are strangely silent on all of this...)

History

#1 - 2011-08-14 07:26 - Steve Voida

- Status changed from New to Resolved

After searching about this error a bit more, this seems to be a problem with the way that Passenger manages connections to the database, so not a

Redmine-specific problem. I'm going to go back and re-install under fastcgi and see if that fixes the problem.

#2 - 2011-08-15 14:09 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2011-08-15 20:42 - Steve Voida

- Status changed from Closed to Reopened

Actually, after switching over from Passenger to a vanilla fastcgi installation, I'm still getting 500 errors and broken database pipes after the server

exceed some number of hours of uptime (usually around 10-11). This is definitely a problem with Redmine and not Passenger.

#4 - 2011-08-16 17:22 - Andrew Szczepanski

I am getting the same error. Judging by the error message and function stack, it appears to be a timeout with the mysql connection. My attempted fix

is to set "reconnect: true" under production in the database.yml, but I can not be sure it resolves the error until we go a week without it happening.

#5 - 2011-08-17 19:55 - Andrew Szczepanski

The attempted fix still did not work. My stack trace looks similar to Steve's but I'll post it anyways:

/!\ FAILSAFE /!\  Wed Aug 17 08:24:26 -0500 2011

Status: 500 Internal Server Error

Broken pipe
/home/rubyonrails/redmine/lib/mysql.rb:1042:in `flush'

/home/rubyonrails/redmine/lib/mysql.rb:1042:in `write'

/home/rubyonrails/redmine/lib/mysql.rb:462:in `write'

/home/rubyonrails/redmine/lib/mysql.rb:436:in `command'

/home/rubyonrails/redmine/lib/mysql.rb:307:in `stat'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/mysql_adapter.rb:277:in `active?'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract_adapter.rb:152:in `verify!'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:256:in `checkout_and_verify'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:252:in

`checkout_existing_connection'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:186:in `checkout'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:184:in `loop'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:184:in `checkout'

/usr/local/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:183:in `checkout'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:98:in `connection'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:326:in `retrieve_connection'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_specification.rb:123:in

`retrieve_connection'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_specification.rb:115:in `connection'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/query_cache.rb:9:in `cache'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/query_cache.rb:28:in `call'

/usr/local/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/string_coercion.rb:25:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.1.2/lib/rack/head.rb:9:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.1.2/lib/rack/methodoverride.rb:24:in `call'

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/params_parser.rb:15:in `call'

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/session/cookie_store.rb:99:in `call'

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/failsafe.rb:26:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.1.2/lib/rack/lock.rb:11:in `call'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.1.2/lib/rack/lock.rb:11:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/rack-1.1.2/lib/rack/lock.rb:11:in `call'

/usr/local/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:106:in `call'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/utils.rb:479:in `safe_fork'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server.rb:180:in `start'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server.rb:357:in `__send__'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/local/lib/ruby/gems/1.8/gems/passenger-3.0.8/helper-scripts/passenger-spawn-server:99

#6 - 2011-08-17 20:08 - Steve Voida

I also tried Andrew's suggestion for adding the reconnect line to database.yml, but to no avail.

Here's the dump from the latest crash reported in my production.log under my updated fastcgi configuration:

/!\ FAILSAFE /!\  Wed Aug 17 09:53:29 -0700 2011

  Status: 500 Internal Server Error

  Broken pipe

    /Library/Ruby/Site/1.8/mysql/protocol.rb:617:in `flush'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:617:in `write'

    /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/timeout.rb:53:in `timeout'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:616:in `write'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:640:in `simple_command'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:545:in `synchronize'

    /Library/Ruby/Site/1.8/mysql/protocol.rb:638:in `simple_command'
    /Library/Ruby/Site/1.8/mysql/protocol.rb:413:in `statistics_command'

    /Library/Ruby/Site/1.8/mysql.rb:502:in `stat'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql

_adapter.rb:277:in `active?'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act_adapter.rb:152:in `verify!'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_pool.rb:256:in `checkout_and_verify'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_pool.rb:252:in `checkout_existing_conn$

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_pool.rb:186:in `checkout'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_pool.rb:184:in `loop'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_pool.rb:184:in `checkout'

    /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_pool.rb:183:in `checkout'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_pool.rb:98:in `connection'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_pool.rb:326:in `retrieve_connection'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_specification.rb:123:in `retrieve_conn$

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_specification.rb:115:in `connection'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cach

e'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `cal

l'

    /Library/WebServer/RailsApps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstr

act/connection_pool.rb:361:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:i

n `call'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.2/lib/rack/head.rb:9:in `call'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.2/lib/rack/methodoverride.rb:24:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in 

`call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb

:99:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call

'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.2/lib/rack/lock.rb:11:in `call'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.2/lib/rack/lock.rb:11:in `synchronize'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.2/lib/rack/lock.rb:11:in `call'

    /Library/WebServer/RailsApps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `c

all'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.2/lib/rack/content_length.rb:13:in `call'

    /Library/Ruby/Gems/1.8/gems/rack-1.1.2/lib/rack/handler/fastcgi.rb:57:in `serve'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:103:in `process_request'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:153:in `with_signal_handler

'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:101:in `process_request'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:78:in `process_each_request

'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:77:in `each'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:77:in `process_each_request

'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:76:in `catch'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:76:in `process_each_request

'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:51:in `process!'

    /Library/WebServer/RailsApps/redmine/vendor/rails/railties/lib/fcgi_handler.rb:23:in `process!'

    /Library/WebServer/Documents/code/dispatch.fcgi:24

 I've also gone through my entire system and removed all out-of-date versions of all of the implicated Ruby gems, just to make sure that this isn't a silly

version conflict. I'm only running the bare minimum Ruby components to support Redmine now, and I'm still getting this error very consistently after

8-11 hours of continuous uptime.

#7 - 2011-08-24 18:36 - Etienne Massip

Do you use ruby-mysql AR adapter implementation?

If yes, try using mysql gem instead (https://github.com/tmtm/ruby-mysql/issues/5).
#8 - 2011-08-25 22:35 - Steve Voida

I'd tried the mysql gem, but it didn't seem to make any difference.

Yesterday, I tried the mysql2 adapter, and once I figured out that you had to change the adapter: specification in the database.yml file, everything has

been running fast and with exceptional stability.

This issue should be closed, and I'll make an effort to tidy up the HowTos on the wiki to make the warning about the problems involved with using the

default, single-threaded mysql adapter under OSX more prominent.

#9 - 2011-08-25 23:23 - Etienne Massip

- Status changed from Reopened to Closed
